package com.njzscloud.supervisory.biz.controller;

import com.njzscloud.common.core.utils.R;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.biz.pojo.entity.BizAuditConfigEntity;
import com.njzscloud.supervisory.biz.pojo.result.SearchAuditConfigResult;
import com.njzscloud.supervisory.biz.service.BizAuditConfigService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 审核配置
 */
@Slf4j
@RestController
@RequestMapping("/biz_audit_config")
@RequiredArgsConstructor
public class BizAuditConfigController {

    private final BizAuditConfigService bizAuditConfigService;

    /**
     * 新增
     */
    @PostMapping("/add")
    public R<?> add(@RequestBody BizAuditConfigEntity bizAuditConfigEntity) {
        bizAuditConfigService.add(bizAuditConfigEntity);
        return R.success();
    }

    /**
     * 修改
     */
    @PostMapping("/modify")
    public R<?> modify(@RequestBody BizAuditConfigEntity bizAuditConfigEntity) {
        bizAuditConfigService.modify(bizAuditConfigEntity);
        return R.success();
    }

    /**
     * 删除
     */
    @PostMapping("/del")
    public R<?> del(@RequestBody List<Long> ids) {
        bizAuditConfigService.del(ids);
        return R.success();
    }

    /**
     * 详情
     */
    @GetMapping("/detail")
    public R<BizAuditConfigEntity> detail(@RequestParam Long id) {
        return R.success(bizAuditConfigService.detail(id));
    }

    /**
     * 分页查询
     */
    @GetMapping("/paging")
    public R<PageResult<SearchAuditConfigResult>> paging(PageParam pageParam, BizAuditConfigEntity bizAuditConfigEntity) {
        return R.success(bizAuditConfigService.paging(pageParam, bizAuditConfigEntity));
    }


    /**
     * 列表查询
     */
    @GetMapping("/list_all")
    public R<List<BizAuditConfigEntity>> listAll() {
        return R.success(bizAuditConfigService.listAll());
    }


    /**
     * 复制文件
     */
    @GetMapping("/copy")
    public R<Integer> copy(@RequestParam(required = false, defaultValue = "true") Boolean newTask) {
        Integer totalSize = bizAuditConfigService.copy(newTask);
        return R.success(totalSize);
    }
}
